echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
ODPPLIBPATH=""
ODPPUDFPATH=""
UDFDB=""
echo "Script to register Netezza User Defined Function. This script requires 4 inputs from the user"
echo ""
echo "1.) Path to the Netezza ODPP libraries. Typically this would be the location where you copied all the ODPP binaries"
echo "2.) Path to the Netezza UDF binaries nzudf.o_x86 and nzudf.o_spu10"
echo "3.) Database to configure the UDFs"
echo "4.) Option that enables or disables tracing for the UDFs"
echo ""
echo ""
echo "Please enter the path of ODPP libraries:"
read ODPPLIBPATH
if [ "$ODPPLIBPATH" == '' ]
then
   echo "No path specified for ODPP libraries"
   exit 1 
fi

echo ""
echo "Please enter the path of Netezza UDF binaries:"
read ODPPUDFPATH

if [ "$ODPPUDFPATH" == '' ]
then
   echo "No path specified for UDFs binaries"
   exit 1
fi

echo ""
echo "Please enter the Database name to configure the UDFs:"
read UDFDB
if [ "$UDFDB" == '' ]
then
   echo "No Database name specified for UDFs"
   exit 1 
fi

echo ""
echo "Please enter the option to configure tracing for the UDFs:"
echo "a.) Enter 1 to enable tracing"
echo "b.) Enter 0 to disable tracing"
echo "Please enter the option to configure tracing for the UDFs:"
read ODPPUDFTRCOPT
if [ "$ODPPUDFTRCOPT" == '' ]
then
   echo "No option specified to configure tracing for the UDFs"
   exit 1 
fi
if [[ "$ODPPUDFTRCOPT" != "1" && "$ODPPUDFTRCOPT" != "0" ]]
then
   echo "Invalid option specified to configure tracing for the UDFs"
   exit 1 
fi

echo ""
echo ""
echo "Database name is " $UDFDB
echo "ODPP Library path is " $ODPPLIBPATH
echo "UDF Binaries Path is " $ODPPUDFPATH
if [ "$ODPPUDFTRCOPT" = "1" ]
then
   echo "Tracing will be enabled"
else
   echo "Tracing will be disabled"
fi
export UDFDB
export ODPPLIBPATH
export ODPPUDFPATH
export ODPPUDFTRCOPT
echo ""
echo ""
echo "Registering libraries in the database"
sh nzudfs.sh
echo ""
echo ""
echo "Registration Completed"


